import QtQuick 2.0
import Sailfish.Silica 1.0
import org.nemomobile.configuration 1.0

Page {
    id: page

    ConfigurationGroup {
        id: mazeLockSettings
        path: "/desktop/nemo/devicelock/mazelock"
        property real scale: 1.0
        property bool colored: true
        property bool maskImmediately: true
    }

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: content.height
        interactive: contentHeight > height

        Column {
            width: parent.width
            spacing: Theme.paddingLarge

            PageHeader {
                title: qsTr("MazeLock settings")
            }

            TextSwitch {
                width: parent.width
                text: qsTr("Mask input character immediately")
                checked: mazeLockSettings.maskImmediately
                onClicked: mazeLockSettings.maskImmediately = checked
            }

            TextSwitch {
                width: parent.width
                text: qsTr("Draw colored lines between nodes")
                checked: mazeLockSettings.colored
                onClicked: mazeLockSettings.colored = checked
            }

            Slider {
                width: parent.width
                label: qsTr("MazeLock size")
                maximumValue: 100
                minimumValue: 50
                stepSize: 1
                value: mazeLockSettings.scale * 100 + "%"
                valueText: value

                onValueChanged: mazeLockSettings.scale = value / 100
                onPressAndHold: cancel()
            }
        }
    }
}
